<?xml version="1.0" encoding="utf-8" ?> 
<wsdl:definitions xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:tns="http://tempuri.org/" xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" targetNamespace="http://tempuri.org/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
<wsdl:types>
<s:schema elementFormDefault="qualified" targetNamespace="http://tempuri.org/">
<s:element name="AnalyzeText">
<s:complexType>
<s:sequence>
  <s:element minOccurs="0" maxOccurs="1" name="Request" type="tns:AnalyzeTextRequestType" /> 
  </s:sequence>
  </s:complexType>
  </s:element>
<s:complexType name="AnalyzeTextRequestType">
 <s:sequence>
  <s:element minOccurs="0" maxOccurs="1" name="text" type="s:string"/>
 </s:sequence>
</s:complexType>
<s:element name="AnalyzeTextResponse">
<s:complexType>
<s:sequence>
  <s:element minOccurs="0" maxOccurs="1" name="AnalyzeTextResult" type="tns:AnalyzeTextResponseType" /> 
  </s:sequence>
  </s:complexType>
  </s:element>
  <s:complexType name="AnalyzeTextResponseType">
 <s:sequence>
  <s:element minOccurs="0" maxOccurs="1" name="EntitiesPerson" type="s:string"/>
  <s:element minOccurs="0" maxOccurs="1" name="EntitiesOrganization" type="s:string"/>
  <s:element minOccurs="0" maxOccurs="1" name="EntitiesPlace" type="s:string"/>
  <s:element minOccurs="0" maxOccurs="1" name="EntitiesPositive" type="s:string"/>
  <s:element minOccurs="0" maxOccurs="1" name="EntitiesNegative" type="s:string"/>
  <s:element minOccurs="0" maxOccurs="1" name="DocumentSentiment" type="s:string"/>
  <s:element minOccurs="0" maxOccurs="1" name="OrganizationRelation" type="s:string"/>
  <s:element minOccurs="0" maxOccurs="1" name="OrganizationPersons" type="s:string"/>
  <s:element minOccurs="0" maxOccurs="1" name="FamilyRelated" type="s:string"/>
  <s:element minOccurs="0" maxOccurs="1" name="FamilyRelatives" type="s:string"/>
  <s:element minOccurs="0" maxOccurs="1" name="PersonName" type="s:string"/>
  <s:element minOccurs="0" maxOccurs="1" name="PersonFriends" type="s:string"/>
 </s:sequence>
</s:complexType>
  <s:element name="AnalyzeFileAsRDF">
    <s:complexType>
      <s:sequence>
        <s:element minOccurs="0" maxOccurs="1" name="Request" type="tns:AnalyzeFileAsRDFRequestType" />
      </s:sequence>
    </s:complexType>
  </s:element>
  <s:complexType name="AnalyzeFileAsRDFRequestType">
    <s:sequence>
      <s:element minOccurs="0" maxOccurs="1" name="text" type="s:string"/>
      <s:element minOccurs="0" maxOccurs="1" name="fileName" type="s:string"/>
      <s:element minOccurs="0" maxOccurs="1" name="username" type="s:string"/>
      <s:element minOccurs="0" maxOccurs="1" name="password" type="s:string"/>
    </s:sequence>
  </s:complexType>
  <s:element name="AnalyzeFileAsRDFResponse">
    <s:complexType>
      <s:sequence>
        <s:element minOccurs="0" maxOccurs="1" name="Result" type="s:string" />
        <s:element minOccurs="0" maxOccurs="1" name="Error" type="s:string" />
      </s:sequence>
    </s:complexType>
  </s:element>


  </s:schema>
  </wsdl:types>
<wsdl:message name="AnalyzeTextSoapIn">
  <wsdl:part name="parameters" element="tns:AnalyzeText" /> 
  </wsdl:message>
<wsdl:message name="AnalyzeTextSoapOut">
  <wsdl:part name="parameters" element="tns:AnalyzeTextResponse" /> 
  </wsdl:message>
  <wsdl:message name="AnalyzeFileAsRDFSoapIn">
    <wsdl:part name="parameters" element="tns:AnalyzeFileAsRDF" />
  </wsdl:message>
  <wsdl:message name="AnalyzeFileAsRDFSoapOut">
    <wsdl:part name="parameters" element="tns:AnalyzeFileAsRDFResponse" />
  </wsdl:message>
  <wsdl:portType name="ServiceSoap">
<wsdl:operation name="AnalyzeText">
  <wsdl:input message="tns:AnalyzeTextSoapIn" /> 
  <wsdl:output message="tns:AnalyzeTextSoapOut" /> 
  </wsdl:operation>
  <wsdl:operation name="AnalyzeFileAsRDF">
    <wsdl:input message="tns:AnalyzeFileAsRDFSoapIn" />
    <wsdl:output message="tns:AnalyzeFileAsRDFSoapOut" />
  </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="ServiceSoap" type="tns:ServiceSoap">
  <soap:binding transport="http://schemas.xmlsoap.org/soap/http" /> 
<wsdl:operation name="AnalyzeText">
  <soap:operation soapAction="http://tempuri.org/AnalyzeText" style="document" /> 
<wsdl:input>
  <soap:body use="literal" /> 
  </wsdl:input>
<wsdl:output>
  <soap:body use="literal" /> 
  </wsdl:output>
  </wsdl:operation>
    <wsdl:operation name="AnalyzeFileAsRDF">
      <soap:operation soapAction="http://tempuri.org/AnalyzeFileAsRDF" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
<wsdl:service name="Service">
<wsdl:port name="ServiceSoap" binding="tns:ServiceSoap">
  <soap:address location="http://demo.intuview.com/AllInOneWeb/IntuViewWS.php" /> 
  </wsdl:port>
  </wsdl:service>
  </wsdl:definitions>